# DXGfxLib.FileNameUIEditor Class Reference

Collaboration diagram for DXGfxLib.FileNameUIEditor:

[legend]

List of all members.

## Public Member Functions
| FileNameUIEditor ()
| FileNameUIEditor (string fileName)
void | Execute ()
| FileNameUIEditor ()
| FileNameUIEditor (string fileName)
void | Execute ()
## Public Attributes
string | associatedFileName = ""
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
override void | Dispose (bool disposing)
| Clean up any resources being used.

## Detailed Description

Definition at line 11 of file FileNameUIEditor.cs.

## Constructor & Destructor Documentation

DXGfxLib.FileNameUIEditor.FileNameUIEditor | ( |  | ) |

Definition at line 15 of file FileNameUIEditor.cs.

DXGfxLib.FileNameUIEditor.FileNameUIEditor | ( | string | fileName | ) |

Definition at line 20 of file FileNameUIEditor.cs.

DXGfxLib.FileNameUIEditor.FileNameUIEditor | ( |  | ) |

Definition at line 15 of file FileNameUIEditor.cs.

DXGfxLib.FileNameUIEditor.FileNameUIEditor | ( | string | fileName | ) |

Definition at line 20 of file FileNameUIEditor.cs.

## Member Function Documentation

override void DXGfxLib.FileNameUIEditor.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  | disposing | true if managed resources should be disposed; otherwise, false.

Definition at line 14 of file FileNameUIEditor.Designer.cs.

override void DXGfxLib.FileNameUIEditor.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  | disposing | true if managed resources should be disposed; otherwise, false.

Definition at line 14 of file FileNameUIEditor.Designer.cs.

void DXGfxLib.FileNameUIEditor.Execute | ( |  | ) |

Definition at line 38 of file FileNameUIEditor.cs.

void DXGfxLib.FileNameUIEditor.Execute | ( |  | ) |

Definition at line 38 of file FileNameUIEditor.cs.

Here is the caller graph for this function:

## Member Data Documentation

string DXGfxLib.FileNameUIEditor::associatedFileName = ""

Definition at line 13 of file FileNameUIEditor.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/FileNameUIEditor.cs
- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/FileNameUIEditor.Designer.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/FileNameUIEditor.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/FileNameUIEditor.Designer.cs